%define profile_d_dir %{_sysconfdir}/profile.d
%define maven_name maven2
%define prj_javadir %{_javadir}/%{name}
%define prj_datadir %{_datadir}/%{name}
Name:           apache-maven
Version:        3.0.5
Release:        1.1
Summary:        Java project management and project comprehension tool binary
Epoch:          0

Group:          Development/Tools
License:        ASL 2.0 and MIT and BSD
URL:            http://maven.apache.org/

Source0:        http://apache.mirror.aussiehq.net.au/maven/binaries/%{name}-%{version}-bin.tar.gz
Source15:       %{name}-jpp-script

BuildArch: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: java-devel >= 1:1.6.0
BuildRequires:  jpackage-utils
BuildRequires:  grep

# maven 3 seems require javac
Requires:  java >= 1:1.6.0
Requires:  java-devel >= 1:1.6.0
Requires:  jpackage-utils

# For those who need maven, but don't want or cannot install maven2 for Fedora.
# RHEL-6, for example, by default do not have maven.
Provides:  maven2 = %{version}-%{release}

%description
Maven is a software project management and comprehension tool. Based on the
concept of a project object model (POM), Maven can manage a project's build,
reporting and documentation from a central piece of information.

Note that this package is binary version, thus cannot go in official
Fedora repo.

%prep
%setup -q
%{__sed} -i 's/\r//' LICENSE.txt
%{__sed} -i 's/\r//' NOTICE.txt
%{__sed} -i 's/\r//' README.txt

%build

%install
%__rm -rf $RPM_BUILD_ROOT

%__mkdir -p $RPM_BUILD_ROOT/%{prj_datadir}/bin
%__install -pm 644 bin/m2.conf $RPM_BUILD_ROOT/%{prj_datadir}/bin
%__install -pm 755 bin/mvn $RPM_BUILD_ROOT/%{prj_datadir}/bin
%__install -pm 755 bin/mvnDebug $RPM_BUILD_ROOT/%{prj_datadir}/bin
%__install -pm 755 %{SOURCE15} $RPM_BUILD_ROOT/%{prj_datadir}/bin/mvn-jpp
%__install -pm 755 bin/mvnyjp  $RPM_BUILD_ROOT/%{prj_datadir}/bin

%__cp -R boot $RPM_BUILD_ROOT/%{prj_datadir}
%__mkdir -p $RPM_BUILD_ROOT/%{prj_datadir}/conf
%__install -pm 644 conf/settings.xml $RPM_BUILD_ROOT/%{prj_datadir}/conf
%__cp -R lib $RPM_BUILD_ROOT/%{prj_datadir}
%__mkdir -p $RPM_BUILD_ROOT/%{prj_javadir}

%__mkdir -p $RPM_BUILD_ROOT/%{profile_d_dir}
%__cat >>$RPM_BUILD_ROOT/%{profile_d_dir}/apache-maven.sh <<EOF
MAVEN_HOME=%{prj_datadir}
M2_HOME=\$MAVEN_HOME
PATH=\$MAVEN_HOME/bin:\$PATH
export MAVEN_HOME
export M2_HOME
export PATH
EOF

%__cat >>$RPM_BUILD_ROOT/%{profile_d_dir}/apache-maven.csh <<EOF
setenv MAVEN_HOME %{prj_datadir}
setenv M2_HOME \$MAVEN_HOME
if ( "\$path" !~ *\$MAVEN_HOME/bin* ) then
   set path = ( \$MAVEN_HOME/bin \$path  )
endif
EOF

%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.txt  NOTICE.txt  README.txt
%{prj_javadir}
%{prj_datadir}
%config(noreplace) %{profile_d_dir}/apache-maven.*sh


%changelog
* Sun Dec 15 2013 cs@linux-administrator.com
- update to release 3.0.5
